<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
	<ui:define name="content">
		<h2>Editace zaměstnance</h2>
	    <h:form id="Form">
	    	<h:messages layout="table" styleClass="errorMsg"></h:messages>
			<h:panelGrid columns="2" styleClass="form">
				
				<h:outputLabel rendered="true" value="ID"></h:outputLabel>
				<h:outputLabel rendered="true" value="#{zamestnanecBean.zamestnanec.idZamestnanec}"></h:outputLabel>
				
				<h:outputLabel rendered="true" value="Jméno"></h:outputLabel>
				<h:inputText value="#{zamestnanecBean.zamestnanec.jmeno}" required="true"
					requiredMessage="Jméno je povinné"
					validatorMessage="Jméno je příliš krátké">
					<f:validateLength minimum="2" maximum="80" />
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Příjmení"></h:outputLabel>
				<h:inputText value="#{zamestnanecBean.zamestnanec.prijemni}" required="true"
					requiredMessage="Příjmení je povinné"
					validatorMessage="Příjmení je příliš krátké">
					<f:validateLength minimum="2" maximum="80" />
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Login"></h:outputLabel>
				<h:inputText value="#{zamestnanecBean.zamestnanec.login}" required="true"
					requiredMessage="Login je povinný"
					validatorMessage="Login musí mít délku 2 až 8 znaků.">
					<f:validateLength minimum="2" maximum="8" />
				</h:inputText>
								
				<h:outputLabel rendered="true" value="Číslo účtu"></h:outputLabel>
				<h:inputText value="#{zamestnanecBean.zamestnanec.cisloUctu}" required="true"
					requiredMessage="Číslo účtu je povinné"
					validatorMessage="Čílso musí mít délku 8 až 21 znaků.">
					<f:validateLength minimum="8" maximum="21" />
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Datum nástupu"></h:outputLabel>
				<h:inputText value="#{zamestnanecBean.zamestnanec.datumNastupu}" required="true" id="calendar1"
							 validatorMessage="Datum nástupu musí být ve formátu dd-mm-yyyy"
							 requiredMessage="Datum nástupu je povinné">
					<f:validateLength minimum="10" />
					<f:convertDateTime pattern="dd-MM-yyyy"/>
				</h:inputText>
				
				
				<h:outputLabel rendered="true" value="Datum odchodu"></h:outputLabel>
				<h:inputText value="#{zamestnanecBean.zamestnanec.datumOdchodu}" id="calendar2"
							 validatorMessage="Datum odchodu musí být ve formátu dd-mm-yyyy">
					<f:validateLength minimum="10" />
					<f:convertDateTime pattern="dd-MM-yyyy"/>
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Pozice"></h:outputLabel>
				<h:selectOneMenu value="#{zamestnanecBean.zamestnanec.typZemstnance}">
   					<f:selectItem selected="true" itemValue="driver" itemLabel="řidič" />
   					<f:selectItem itemValue="seller" itemLabel="prodavač" />
   					<f:selectItem itemValue="admin" itemLabel="admin" />
				</h:selectOneMenu>
				<h:outputLabel rendered="true" value=""></h:outputLabel>
			</h:panelGrid>
			 <br></br>
			<h:panelGrid columns="2" styleClass="form">
				<h:outputLabel rendered="#{zamestnanecBean.isRidic()}" value="Dodává do oblasti" required="true"></h:outputLabel>
				<h:selectOneMenu rendered="#{zamestnanecBean.isRidic()}" 
								 value="#{zamestnanecBean.oblast}" 
								 converter="oblastConverter">
				    <f:selectItems value="#{oblastBean.oblasti}" var="oblast" itemValue="#{oblast}" itemLabel="#{oblast.nazev}" />
				</h:selectOneMenu>

				<h:outputLabel rendered="true" value=""></h:outputLabel>
				<h:commandButton rendered="#{zamestnanecBean.isRidic()}" action="#{zamestnanecBean.actionOblastAdd}" styleClass="formbutton" value="Přidat vybranou oblast">
				</h:commandButton>
			</h:panelGrid>
				
			<ui:fragment rendered="#{zamestnanecBean.isRidic()}">
				<h2>Dodávací oblasti</h2>
			</ui:fragment>
			
			<h:dataTable value="#{zamestnanecBean.zamestnanec.dodavaciOblasti}"
			             var="oblast"
			             rendered="#{zamestnanecBean.isRidic()}"
			             styleClass="table"
						 columnClasses="text-left,text-right,text-center">
				<h:column>
					<f:facet name="header">
						Oblast
					</f:facet>
					<h:outputText value="#{oblast.nazev}"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						Taxa za Odvoz
					</f:facet>
					<h:outputText value="#{oblast.taxaZaOdvoz} Kč"></h:outputText>
				</h:column>
				<h:column>
					<h:commandLink action="#{zamestnanecBean.actionOblastDel(oblast)}">
						<i class="fa fa-times fa-15x" aria-hidden="true" title="Odebrat"></i>
					</h:commandLink>
				</h:column>
			</h:dataTable>
			
			
			<div class="blok">
				<h:commandButton action="#{zamestnanecBean.actionUpdate}" styleClass="button" value="Uložit"></h:commandButton>
				<h:commandButton action="cancel" styleClass="button" value="Zrušit"></h:commandButton>
			</div>
	    </h:form>
	</ui:define>
</ui:composition>
</html>
